%define upstream_name    Text-Haml
%define upstream_version 0.990109

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Haml Perl implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
the Text::Haml manpage implements Haml the
http://haml-lang.com/docs/yardoc/file.HAML_REFERENCE.html manpage
specification.

the Text::Haml manpage passes specification tests written by Norman Clarke
http://github.com/norman/haml-spec and supports only cross-language Haml
features. Do not expect Ruby specific things to work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std
rm -f %{buildroot}/%{perl_vendorlib}/Text/README.pod

%files
%doc META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Nov 29 2013 jquelin <jquelin> 0.990.109-3.mga4
+ Revision: 554037
- remove bogus pod file that shouldn't be installed

* Sat Oct 19 2013 umeabot <umeabot> 0.990.109-2.mga4
+ Revision: 531727
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 sander85 <sander85> 0.990.109-1.mga4
+ Revision: 464865
- update to 0.990109

* Wed May 29 2013 shlomif <shlomif> 0.990.108-1.mga4
+ Revision: 432290
- update to 0.990108

* Sun Jan 13 2013 umeabot <umeabot> 0.990.107-2.mga3
+ Revision: 374089
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 shlomif <shlomif> 0.990.107-1.mga3
+ Revision: 298656
- update to 0.990107

* Tue Sep 25 2012 shlomif <shlomif> 0.990.106-1.mga3
+ Revision: 297454
- imported package perl-Text-Haml


* Tue Sep 25 2012 cpan2dist 0.990106-1mga
- initial mageia release, generated with cpan2dist
